Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.commons.core.v1
Class OrganizationTypes

    java.lang.Object
      be.fgov.ehealth.etee.commons.core.v1.OrganizationTypes

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:35+02:00",
               comments="JAXB RI v2.2.6")
    public class OrganizationTypes

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NameFr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="NameNl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ValidationRegEx" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="CheckDigitAlgorithm" type="{urn:be:fgov:ehealth:etee:commons:core:v1}CheckDigitType" minOccurs="0"/>
             <element name="ETKUsageTypeAuthorized" type="{urn:be:fgov:ehealth:etee:commons:core:v1}ETKUsageType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrganizationTypes()`

Method Summary
`CheckDigitType` | `getCheckDigitAlgorithm()` Gets the value of the checkDigitAlgorithm property.
`List<ETKUsageType>` | `getETKUsageTypeAuthorizeds()` Gets the value of the etkUsageTypeAuthorizeds property.
`String` | `getIdentifierType()` Gets the value of the identifierType property.
`String` | `getNameFr()` Gets the value of the nameFr property.
`String` | `getNameNl()` Gets the value of the nameNl property.
`String` | `getValidationRegEx()` Gets the value of the validationRegEx property.
`void` | `setCheckDigitAlgorithm(CheckDigitType value)` Sets the value of the checkDigitAlgorithm property.
`void` | `setIdentifierType(String value)` Sets the value of the identifierType property.
`void` | `setNameFr(String value)` Sets the value of the nameFr property.
`void` | `setNameNl(String value)` Sets the value of the nameNl property.
`void` | `setValidationRegEx(String value)` Sets the value of the validationRegEx property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationTypes

    public OrganizationTypes()

Method Detail

### getNameFr

    public String getNameFr()

  Gets the value of the nameFr property.

  Returns:
    possible object is `String`

### setNameFr

    public void setNameFr(String value)

  Sets the value of the nameFr property.

  Parameters:
    `value` - allowed object is `String`

### getNameNl

    public String getNameNl()

  Gets the value of the nameNl property.

  Returns:
    possible object is `String`

### setNameNl

    public void setNameNl(String value)

  Sets the value of the nameNl property.

  Parameters:
    `value` - allowed object is `String`

### getIdentifierType

    public String getIdentifierType()

  Gets the value of the identifierType property.

  Returns:
    possible object is `String`

### setIdentifierType

    public void setIdentifierType(String value)

  Sets the value of the identifierType property.

  Parameters:
    `value` - allowed object is `String`

### getValidationRegEx

    public String getValidationRegEx()

  Gets the value of the validationRegEx property.

  Returns:
    possible object is `String`

### setValidationRegEx

    public void setValidationRegEx(String value)

  Sets the value of the validationRegEx property.

  Parameters:
    `value` - allowed object is `String`

### getCheckDigitAlgorithm

    public CheckDigitType getCheckDigitAlgorithm()

  Gets the value of the checkDigitAlgorithm property.

  Returns:
    possible object is `CheckDigitType`

### setCheckDigitAlgorithm

    public void setCheckDigitAlgorithm(CheckDigitType value)

  Sets the value of the checkDigitAlgorithm property.

  Parameters:
    `value` - allowed object is `CheckDigitType`

### getETKUsageTypeAuthorizeds

    public List<ETKUsageType> getETKUsageTypeAuthorizeds()

  Gets the value of the etkUsageTypeAuthorizeds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the etkUsageTypeAuthorizeds property.

  For example, to add a new item, do as follows:

          getETKUsageTypeAuthorizeds().add(newItem);

  Objects of the following type(s) are allowed in the list `ETKUsageType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.